std::tuple_size< tuple< _Elements... > > Struct Template Reference
Utilities

`#include <tuple>`

Inheritance diagram for std::tuple_size< tuple< _Elements... > >:
[legend]

## Public Types

typedef integral_constant< size_t, __v > | type
typedef size_t | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr size_t | value

## Detailed Description

template<typename... _Elements>
struct std::tuple_size< tuple< _Elements... > >

class tuple_size

Definition at line 1354 of file tuple.

## Member Typedef Documentation

## type

typedef integral_constant<size_t , __v> std::integral_constant< size_t , __v >::type

inherited

Definition at line 69 of file type_traits.

## value_type

typedef size_t std::integral_constant< size_t , __v >::value_type

inherited

Definition at line 68 of file type_traits.

## Member Function Documentation

## operator value_type()

constexpr std::integral_constant< size_t , __v >::operator value_type | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 70 of file type_traits.

## operator()()

constexpr value_type std::integral_constant< size_t , __v >::operator() | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 75 of file type_traits.

## Member Data Documentation

## value

constexpr size_t std::integral_constant< size_t , __v >::value

static constexpr inherited

Definition at line 67 of file type_traits.

The documentation for this struct was generated from the following file:

- tuple